package org.wfc.omada.api.globalsetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * LicenseBindAvailableNumOpenApiVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:48:54.878+08:00[Asia/Shanghai]")

public class LicenseBindAvailableNumOpenApiVo   {
  @JsonProperty("trial")
  private Integer trial;

  @JsonProperty("others")
  private Integer others;

  @JsonProperty("permanent")
  private Integer permanent;

  @JsonProperty("1year")
  private Integer _1year;

  @JsonProperty("2years")
  private Integer _2years;

  @JsonProperty("3years")
  private Integer _3years;

  @JsonProperty("4years")
  private Integer _4years;

  @JsonProperty("5years")
  private Integer _5years;

  public LicenseBindAvailableNumOpenApiVo trial(Integer trial) {
    this.trial = trial;
    return this;
  }

  /**
   * trial license num
   * @return trial
  */
  @ApiModelProperty(value = "trial license num")


  public Integer getTrial() {
    return trial;
  }

  public void setTrial(Integer trial) {
    this.trial = trial;
  }

  public LicenseBindAvailableNumOpenApiVo others(Integer others) {
    this.others = others;
    return this;
  }

  /**
   * Used license num
   * @return others
  */
  @ApiModelProperty(value = "Used license num")


  public Integer getOthers() {
    return others;
  }

  public void setOthers(Integer others) {
    this.others = others;
  }

  public LicenseBindAvailableNumOpenApiVo permanent(Integer permanent) {
    this.permanent = permanent;
    return this;
  }

  /**
   * Get permanent
   * @return permanent
  */
  @ApiModelProperty(value = "")


  public Integer getPermanent() {
    return permanent;
  }

  public void setPermanent(Integer permanent) {
    this.permanent = permanent;
  }

  public LicenseBindAvailableNumOpenApiVo _1year(Integer _1year) {
    this._1year = _1year;
    return this;
  }

  /**
   * 1year license num
   * @return _1year
  */
  @ApiModelProperty(value = "1year license num")


  public Integer get1year() {
    return _1year;
  }

  public void set1year(Integer _1year) {
    this._1year = _1year;
  }

  public LicenseBindAvailableNumOpenApiVo _2years(Integer _2years) {
    this._2years = _2years;
    return this;
  }

  /**
   * 2years license num
   * @return _2years
  */
  @ApiModelProperty(value = "2years license num")


  public Integer get2years() {
    return _2years;
  }

  public void set2years(Integer _2years) {
    this._2years = _2years;
  }

  public LicenseBindAvailableNumOpenApiVo _3years(Integer _3years) {
    this._3years = _3years;
    return this;
  }

  /**
   * 3years license num
   * @return _3years
  */
  @ApiModelProperty(value = "3years license num")


  public Integer get3years() {
    return _3years;
  }

  public void set3years(Integer _3years) {
    this._3years = _3years;
  }

  public LicenseBindAvailableNumOpenApiVo _4years(Integer _4years) {
    this._4years = _4years;
    return this;
  }

  /**
   * 4years license num
   * @return _4years
  */
  @ApiModelProperty(value = "4years license num")


  public Integer get4years() {
    return _4years;
  }

  public void set4years(Integer _4years) {
    this._4years = _4years;
  }

  public LicenseBindAvailableNumOpenApiVo _5years(Integer _5years) {
    this._5years = _5years;
    return this;
  }

  /**
   * 5years license num
   * @return _5years
  */
  @ApiModelProperty(value = "5years license num")


  public Integer get5years() {
    return _5years;
  }

  public void set5years(Integer _5years) {
    this._5years = _5years;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    LicenseBindAvailableNumOpenApiVo licenseBindAvailableNumOpenApiVo = (LicenseBindAvailableNumOpenApiVo) o;
    return Objects.equals(this.trial, licenseBindAvailableNumOpenApiVo.trial) &&
        Objects.equals(this.others, licenseBindAvailableNumOpenApiVo.others) &&
        Objects.equals(this.permanent, licenseBindAvailableNumOpenApiVo.permanent) &&
        Objects.equals(this._1year, licenseBindAvailableNumOpenApiVo._1year) &&
        Objects.equals(this._2years, licenseBindAvailableNumOpenApiVo._2years) &&
        Objects.equals(this._3years, licenseBindAvailableNumOpenApiVo._3years) &&
        Objects.equals(this._4years, licenseBindAvailableNumOpenApiVo._4years) &&
        Objects.equals(this._5years, licenseBindAvailableNumOpenApiVo._5years);
  }

  @Override
  public int hashCode() {
    return Objects.hash(trial, others, permanent, _1year, _2years, _3years, _4years, _5years);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class LicenseBindAvailableNumOpenApiVo {\n");
    
    sb.append("    trial: ").append(toIndentedString(trial)).append("\n");
    sb.append("    others: ").append(toIndentedString(others)).append("\n");
    sb.append("    permanent: ").append(toIndentedString(permanent)).append("\n");
    sb.append("    _1year: ").append(toIndentedString(_1year)).append("\n");
    sb.append("    _2years: ").append(toIndentedString(_2years)).append("\n");
    sb.append("    _3years: ").append(toIndentedString(_3years)).append("\n");
    sb.append("    _4years: ").append(toIndentedString(_4years)).append("\n");
    sb.append("    _5years: ").append(toIndentedString(_5years)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

